Bug 1046601 (CVE-2017-9985)

Summary: VUL-1: CVE-2017-9985: kernel: DoS in snd_msndmidi_input_read function in sound/isa/msnd/msnd_midi.c
Product: [Novell Products] SUSE Security Incidents Reporter: Alexander Bergmann <abergmann>
Component: IncidentsAssignee: Security Team bot <security-team>
Status: RESOLVED WONTFIX QA Contact: Security Team bot <security-team>
Severity: Normal    
Priority: P4 - Low CC: abergmann, smash_bz, tiwai
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/187397/
Whiteboard: CVSSv2:NVD:CVE-2017-9985:7.2:(AV:L/AC:L/Au:N/C:C/I:C/A:C) CVSSv3:SUSE:CVE-2017-9985:4.7:(AV:L/AC:H/PR:L/UI:N/S:U/C:N/I:N/A:H) CVSSv2:SUSE:CVE-2017-9985:4.4:(AV:L/AC:M/Au:S/C:N/I:N/A:C) CVSSv3:NVD:CVE-2017-9985:7.8:(AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H) CVSSv3:RedHat:CVE-2017-9985:4.7:(AV:L/AC:H/PR:L/UI:N/S:U/C:N/I:N/A:H) CVSSv2:NVD:CVE-2018-1000204:6.3:(AV:N/AC:M/Au:S/C:C/I:N/A:N) CVSSv3:NVD:CVE-2018-1000204:5.3:(AV:N/AC:H/PR:L/UI:N/S:U/C:H/I:N/A:N) CVSSv3:RedHat:CVE-2018-1000204:4.1:(AV:L/AC:H/PR:H/UI:N/S:U/C:H/I:N/A:N) CVSSv3:SUSE:CVE-2018-1000204:6.2:(AV:L/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Alexander Bergmann 2017-06-29 09:00:18 UTC
CVE-2017-9985

The snd_msndmidi_input_read function in sound/isa/msnd/msnd_midi.c in the Linux
kernel through 4.11.7 allows local users to cause a denial of service
(over-boundary access) or possibly have unspecified other impact by changing the
value of a message queue head pointer between two kernel reads of that value,
aka a "double fetch" vulnerability.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-9985
http://people.canonical.com/~ubuntu-security/cve/2017/CVE-2017-9985.html
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-9985
https://bugzilla.kernel.org/show_bug.cgi?id=196133
Comment 1 Takashi Iwai 2017-06-29 09:27:25 UTC
It's a legacy ISA driver, and it's not supported.  Thus it affects at most up to SLE11 Desktop.  SLE12+ aren't affected.
Comment 2 Takashi Iwai 2017-06-30 09:39:09 UTC
IMO, this is no real security problem.  See bsc#1046599.
Comment 3 Takashi Iwai 2017-07-06 09:45:23 UTC
So I push back this as WONTFIX as a non-security issue.

I'm going to address it in the upstream, but it's not worth for backporting.
Comment 4 Marcus Meissner 2017-07-13 11:26:46 UTC
ok